%define cur_ver 1.3.0.20100907

Name:       ibus-table-others
Version:    1.3.0.20100907
Release:    2%{?dist}
Summary:    Various tables for IBus-Table
License:    GPLv3
Group:      System Environment/Libraries
URL:        http://github.com/moebiuscurve/ibus-table-others
Source0:    http://nkumar.fedorapeople.org/ibus-table-others/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus-table >= 1.2.0.20090912
BuildRequires:    ibus-table-devel >= 1.2.0.20090912

Obsoletes: ibus-table-code < %{cur_ver}
Obsoletes: ibus-table-cyrillic < %{cur_ver}
Obsoletes: ibus-table-latin < %{cur_ver}
Obsoletes: ibus-table-translit < %{cur_ver}
Obsoletes: ibus-table-tv < %{cur_ver}
Provides:  ibus-table-code = %{cur_ver}
Provides:  ibus-table-cyrillic = %{cur_ver}
Provides:  ibus-table-latin = %{cur_ver}
Provides:  ibus-table-translit = %{cur_ver}
Provides:  ibus-table-tv = %{cur_ver}
Provides:  ibus-table-mathwriter = %{cur_ver}

%description
The package contains various IBus-Tables which include languages of \
Latin-America, Europe, Southeast Asia, as well as math and other symbols

%package ibus-table-code
Obsoletes: ibus-table-code < %{cur_ver}
Provides:  ibus-table-code = %{cur_ver}
Summary:   Ibus-Tables for Latex, CNS11643 & Emoji
%description ibus-table-code
The package contains ibus-tables for Latex, CNS11643, Emoji. 

%package ibus-table-cyrillic
Obsoletes: ibus-table-cyrillic < %{cur_ver}
Provides:  ibus-table-cyrillic = %{cur_ver}
Summary:   Ibus-Tables for Cyrillic
%description ibus-table-cyrillic
The Cyrillic rustrad & yawerty tables for IBus Table.

%package ibus-table-latin
Obsoletes: ibus-table-latin < %{cur_ver}
Provides:  ibus-table-latin = %{cur_ver}
Summary:   Ibus-Tables for Latin
%description ibus-table-latin
The Latin compose & ipa-x-sampa tables for Ibus-Table.

%package ibus-table-translit
Obsoletes: ibus-table-translit < %{cur_ver}
Provides:  ibus-table-translit = %{cur_ver}
Summary:   Ibus-Tables for Russian Translit
%description ibus-table-translit
The Cyrillic translit & translit-ua tables for IBus-Table.

%package ibus-table-tv
Obsoletes: ibus-table-tv < %{cur_ver}
Provides:  ibus-table-tv = %{cur_ver}
Summary:   Ibus-Tables for Thai and Viqr (Vietnamese)
%description ibus-table-tv
The Thai and Viqr (Vietnamese) tables for IBus-Table.

%package ibus-table-mathwriter
Provides: ibus-table-mathwriter = %{cur_ver}
Summary:  Ibus-Tables for Unicode mathematics symbols
%description ibus-table-mathwriter
The package contains table for writing Unicode mathematics symbols.


%prep
%setup -q

%build
%configure \
    --disable-static \
    --prefix=%{_prefix} \
    --enable-cns11643 \
    --enable-compose \
    --enable-emoji \
    --enable-ipaxsampa \
    --enable-latex \
    --enable-rustrad \
    --enable-thai \
    --enable-translit \
    --enable-translitua \
    --enable-viqr \
    --enable-yawerty \
    --enable-mathwriter
%__make %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install
cd ${RPM_BUILD_ROOT}/%{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n cns11643.db
%{_bindir}/ibus-table-createdb -i -n compose.db
%{_bindir}/ibus-table-createdb -i -n emoji-table.db
%{_bindir}/ibus-table-createdb -i -n ipa-x-sampa.db
%{_bindir}/ibus-table-createdb -i -n latex.db
%{_bindir}/ibus-table-createdb -i -n rustrad.db
%{_bindir}/ibus-table-createdb -i -n thai.db
%{_bindir}/ibus-table-createdb -i -n translit.db
%{_bindir}/ibus-table-createdb -i -n translit-ua.db
%{_bindir}/ibus-table-createdb -i -n viqr.db
%{_bindir}/ibus-table-createdb -i -n yawerty.db
%{_bindir}/ibus-table-createdb -i -n mathwriter-ibus.db


%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README

%files ibus-table-code
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/tables/latex.db
%{_datadir}/ibus-table/tables/cns11643.db
%{_datadir}/ibus-table/tables/emoji-table.db
%{_datadir}/ibus-table/icons/latex.svg
%{_datadir}/ibus-table/icons/cns11643.png
%{_datadir}/ibus-table/icons/ibus-emoji.svg

%files ibus-table-cyrillic
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/tables/rustrad.db
%{_datadir}/ibus-table/tables/yawerty.db
%{_datadir}/ibus-table/icons/rustrad.png
%{_datadir}/ibus-table/icons/yawerty.png

%files ibus-table-latin
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/tables/compose.db
%{_datadir}/ibus-table/tables/ipa-x-sampa.db
%{_datadir}/ibus-table/icons/compose.svg
%{_datadir}/ibus-table/icons/ipa-x-sampa.png

%files ibus-table-translit
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/tables/translit.db
%{_datadir}/ibus-table/tables/translit-ua.db
%{_datadir}/ibus-table/icons/translit.png
%{_datadir}/ibus-table/icons/translit-ua.png

%files ibus-table-tv
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/tables/thai.db
%{_datadir}/ibus-table/tables/viqr.db
%{_datadir}/ibus-table/icons/thai.png
%{_datadir}/ibus-table/icons/viqr.png

%files ibus-table-mathwriter
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/tables/mathwriter-ibus.db
%{_datadir}/ibus-table/icons/mathwriter.png

%changelog
* Wed Sep 28 2010 Naveen Kumar <nkumar@redhat.com> - 1.3.0.20100907-2
- divided the package into subpackages.

* Tue Sep 7 2010 Naveen Kumar <nkumar@redhat.com> - 1.3.0.20100907-1
- Packaging for new version
- ibus-table-mathwriter included

* Fri May 28 2010 Caius 'kaio' Chance  <kaio at fedoraproject.org> - 1.3.0.20100528-1
- Included all non-Chinese tables.

* Wed Mar 10 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-6
- Remove Conflicts, Provides, Obsoletes tag.

* Fri Mar 05 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-5
- Fix source tag.

* Fri Mar 05 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-4
- Fix source tag.

* Fri Mar 05 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-3
- Fix BuildRequires tag to ibus-table-devel.

* Fri Mar 05 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-2
- Modify index creation locations.

* Fri Mar 05 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-1
- Upgrade source from upstream.

* Wed Jan 20 2010 Caius 'kaio' Chance  <k at kaio.me> - 1.2.0.20100120-1
- Introduce Emoji input method.
- Updated spec file.

* Fri Jan 08 2010 Caius 'kaio' Chance  <k at kaio.me> - 1.2.0.20100108-1
- The first version.
- Merged from ibus-table-additional.
